﻿using System;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Calendar;

namespace SupportSL
{
	public partial class CalendarTest : UserControl
	{
		bool isCtrlPress;

		public CalendarTest()
		{
			InitializeComponent();
		}
	}

	public class DayButtonStyleTemplateSelector : StyleSelector
	{
		public override Style SelectStyle(object item, DependencyObject container)
		{
			CalendarButtonContent content = item as CalendarButtonContent;
			if (content != null)
			{
				if (content.Date.DayOfWeek == DayOfWeek.Tuesday && content.ButtonType == CalendarButtonType.Date)
				{
					return SpecialStyle;
				}
			}
			return base.SelectStyle(item, container);
		}

		public Style SpecialStyle
		{
			get;
			set;
		}
	}
}
